%global dspam_user      dspam
%global dspam_group     mail
%global mail_group      %{dspam_group}
%global dspam_homedir   %{_localstatedir}/lib/dspam
%global dspam_confdir   %{_sysconfdir}
%global dspam_logdir    %{_localstatedir}/log/dspam
%global dspam_mode      2511
%global dspam_web_docroot %{_localstatedir}/www/dspam
%global __perl_requires %{SOURCE99}
%global _hardened_build 1

Summary:                A library and Mail Delivery Agent for Bayesian SPAM filtering
Name:                   dspam
Version:                3.10.2
Release:                34%{?dist}
License:                GPLv2
Source0:                http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Source2:                dspam-cron
Source3:                dspam-logrotate
Source4:                dspam-web.conf
Source5:                dspam-front
Source7:                dspam-tmpfiles
Source8:                dspam-systemd
Source99:               dspam-filter-requires.sh
Source100:		qmail.dspam.conf

Patch0:                 dspam-3.9.0-docs.patch
Patch1:                 dspam-3.9.0-dspamsock.patch
Patch2:                 dspam-default-server-port.patch
Patch3:                 dspam-3.10.2.exim.patch
Patch4:                 dspam-recipient-corruption.patch
Patch5:                 dspam-sqlite3_drv.patch
Patch6:                 dspam-mariadb.patch
Patch7:                 dspam-mysql-mybool-bool.patch
Patch8:                 dspam-dspamc-stuffdot2.patch
Patch9:			dspam-makefile.patch
Patch10:		dspam-gcc11.patch

URL:                    http://www.nuclearelephant.com/
# kept to be able to build EPEL versions
BuildRequires:          autoconf 
BuildRequires:          automake
BuildRequires:          libtool
BuildRequires:          mysql-devel
BuildRequires:          openssl-devel
BuildRequires:          perl-generators
BuildRequires:          libpq-devel
BuildRequires:          sqlite-devel
BuildRequires:          openldap-devel
BuildRequires:          systemd

Requires:               dspam-libs = %{version}-%{release}
Requires(post):         systemd-sysv
Requires:               perl(Mail::MboxParser)
Requires:               binutils

%description
The DSPAM agent masquerades as the email server's local delivery agent
and filters/learns spams using an advanced Bayesian statistical approach
(based on Baye's theorem of combined probabilities) which provides an
administratively maintenance-free, easy-learning Anti-Spam service
custom tailored to each individual user's behavior. Advanced because on
top of standard Bayesian filtering is also incorporated the use of
Chained Tokens, de-obfuscation, and other enhancements. DSPAM works
great with Sendmail, Exim and Postfix, and should work well with any
other MTA that supports an external local delivery agent (qmail, etc.)

%package libs
Summary:                The DSPAM library core processing engines

%description libs
The DSPAM core processing engine, also known as libdspam, provides all
critical spam filtering functions.  The engine is embedded into other
DSPAM components (such as the agent) and is responsbile for the actual
filtering logic.

%package client
Summary:                The DSPAM client program used to talk to dspam daemon

%description client
The DSPAM client program communicates with a server to process emails.

%package hash
Summary:                Hash storage driver for libdspam
Requires:               dspam-libs = %{version}-%{release}

%description hash
The self-contained Hash-Based driver (inspired by Bill Yerazunis' CRM
Sparse Spectra algorithm) is the fastest solution by far and requires no
dependencies, supports an auto-extend feature to grow the file size as
needed, and is very fast and compact. It does, however, lack some
features (such as merged groups support) and uses a lot of memory to
mmap() users. The driver is thread-safe (required for running DSPAM in
server daemon mode).

%package mysql
Summary:                MySQL storage driver for libdspam
Requires:               dspam-libs = %{version}-%{release}

%description mysql
MySQL driver for libdspam. The driver is thread-safe (required for
running DSPAM in server daemon mode).

%package pgsql
Summary:                PostgreSQL storage driver for libdspam
Requires:               dspam-libs = %{version}-%{release}

%description pgsql
PostgreSQL storage driver for libdspam. The driver is thread-safe
(required for running DSPAM in server daemon mode).

%package sqlite3
Summary:                SQLite v3.x storage driver for libdspam
Requires:               dspam-libs = %{version}-%{release}

%description sqlite3
SQLite v3 storage driver for libdspam. The driver is not thread-safe
and should not be used in DSPAM server daemon mode.

%package devel
Summary:                Development library and header files for libdspam
Requires:               dspam-libs = %{version}-%{release}

%description devel
DSPAM has had its core engine moved into a separate library, libdspam.
This library can be used by developers to provide 'drop-in' spam
filtering for their mail client applications, other Anti-Spam tools, or
similar projects.

%package web
Summary:                Web-based interface for DSPAM
Requires:               dspam = %{version}-%{release}
Requires:               webserver

%description web
Web-based interface for DSPAM's powerful Anti-Spam engine.

%prep

%setup -q

%patch9 -p0
aclocal
automake --add-missing
%patch0 -p0
%patch1 -p0
%patch2 -p0
%patch3 -p0
%patch4 -p1
%patch5 -p0
%patch6 -p0
%patch7 -p0
%patch8 -p0
%patch10 -p0

%build

%configure \
    --enable-long-usernames \
    --enable-syslog \
    --enable-large-scale \
    --enable-clamav \
    --disable-domain-scale \
    --disable-homedir \
    --enable-virtual-users \
    --enable-preferences-extension \
    --with-mysql-includes='%{_includedir}/mysql' \
    --with-mysql-libraries='%{_libdir}/mysql' \
    --with-pgsql-includes='%{_includedir}/pgsql' \
    --with-pgsql-libraries='%{_libdir}' \
    --enable-daemon \
    --enable-external-lookup \
    --with-storage-driver='hash_drv,mysql_drv,pgsql_drv,sqlite3_drv' \
    --with-dspam-home='%{dspam_homedir}' \
    --with-dspam-owner='%{dspam_user}' \
    --with-dspam-group='%{mail_group}' \
    --with-dspam-home-group='%{mail_group}' \
    --with-dspam-mode='%{dspam_mode}' \
    --with-logdir='%{dspam_logdir}' \
    --sysconfdir='%{dspam_confdir}' 

sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool

%{__make} OPTIMIZE="%{optflags} -fPIC -DPIC"

%install
%{__rm} -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"

# make some dirs
%{__install} -d -p -m 755 $RPM_BUILD_ROOT%{_sysconfdir}/httpd/conf.d/
%{__install} -d -p -m 755 $RPM_BUILD_ROOT%{dspam_homedir}/opt-in/
%{__install} -d -p -m 755 $RPM_BUILD_ROOT%{dspam_homedir}/opt-out/
%{__install} -d -p -m 775 $RPM_BUILD_ROOT%{dspam_homedir}/data/
%{__install} -d -p -m 755 $RPM_BUILD_ROOT%{dspam_logdir}/
%{__install} -d -p -m 755 $RPM_BUILD_ROOT%{dspam_web_docroot}/
%{__install} -d -p -m 755 $RPM_BUILD_ROOT%{_var}/run/dspam/
%{__install}  -Dp -m 755 %{SOURCE5} $RPM_BUILD_ROOT%{_bindir}/dspam-front

# webui
 %{__install} -d -p -m 755 $RPM_BUILD_ROOT%{dspam_web_docroot}/templates/
for foo in webui/cgi-bin/templates/??
do
    [ -d "${foo}" ] && %{__install} -d p -m 755 $RPM_BUILD_ROOT%{dspam_web_docroot}/templates/${foo##*\/}
done

# remove .la and .a files
find $RPM_BUILD_ROOT -name *.la -exec rm {} \; 
find $RPM_BUILD_ROOT -name *.a  -exec rm {} \;

# move storage drivers (if they should be in the wrong directory by accident)
[ -f "$RPM_BUILD_ROOT%{_libdir}/lib*_drv*" ] && \
    %{__mv} -f $RPM_BUILD_ROOT%{_libdir}/lib*_drv* $RPM_BUILD_ROOT/%{_libdir}/dspam

# storage related configuration and scripts

# mysql
%{__install} -d -p -m 755 $RPM_BUILD_ROOT%{_datadir}/%{name}/sql-scripts/mysql
%{__install} -Dp -m 644 src/tools.mysql_drv/*.sql $RPM_BUILD_ROOT%{_datadir}/%{name}/sql-scripts/mysql/

# postgres
%{__install} -d -p -m 755 $RPM_BUILD_ROOT%{_datadir}/%{name}/sql-scripts/pgsql
%{__install} -Dp -m 644 src/tools.pgsql_drv/*.sql $RPM_BUILD_ROOT%{_datadir}/%{name}/sql-scripts/pgsql/

# sqlite 3
%{__install} -d -p -m 755 $RPM_BUILD_ROOT%{_datadir}/%{name}/sql-scripts/sqlite3
%{__install} -m 644 src/tools.sqlite_drv/purge-3.sql $RPM_BUILD_ROOT%{_datadir}/%{name}/sql-scripts/sqlite3/

# install text notifications
%{__install} -d -p $RPM_BUILD_ROOT%{dspam_homedir}/txt/
%{__install} -Dp -m 644 txt/*.txt $RPM_BUILD_ROOT%{dspam_homedir}/txt/
echo "Scanned and tagged as SPAM with DSPAM %{version} by Your ISP.com"> $RPM_BUILD_ROOT%{dspam_homedir}/txt/msgtag.spam
echo "Scanned and tagged as non-SPAM with DSPAM %{version} by Your ISP.com"> $RPM_BUILD_ROOT%{dspam_homedir}/txt/msgtag.nonspam

# install systemd script
%{__install} -Dp -m0644 %{SOURCE8} $RPM_BUILD_ROOT%{_unitdir}/dspam.service

# install cron script
%{__install} -Dp -m0755 %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/cron.daily/dspam

# install logrotate script
%{__install} -Dp -m0644 %{SOURCE3} $RPM_BUILD_ROOT%{_sysconfdir}/logrotate.d/dspam

# install tmpfiles script
%{__install} -Dp -m0644 %{SOURCE7} $RPM_BUILD_ROOT%{_tmpfilesdir}/dspam.conf

# install devel files
%{__install} -Dp -m 0644 src/*.h $RPM_BUILD_ROOT%{_includedir}/dspam/

# when only one storage driver is compiled, it is linked statically with DSPAM
%{__sed} -i -e "s:^[\t ]\(StorageDriver[\t ]\{1,99\}.*\)$:# \1:" src/dspam.conf

# install additional copy of dspam.conf as reference
%{__install} -m0644 src/dspam.conf $RPM_BUILD_ROOT%{dspam_confdir}/dspam.conf.default
%{__rm} $RPM_BUILD_ROOT%{dspam_confdir}/dspam.conf
%{__install} -m0644 %{SOURCE100}   $RPM_BUILD_ROOT%{dspam_confdir}/dspam.conf

#make sure CHANGELOG is in utf-8 format
iconv -f iso8859-1 -t utf-8 CHANGELOG > CHANGELOG.conv && mv -f CHANGELOG.conv CHANGELOG

# web 
%{__install} -Dp -m0644 webui/htdocs/*.{js,css,gif} $RPM_BUILD_ROOT%{dspam_web_docroot}/
%{__install} -Dp -m0644 webui/cgi-bin/templates/*.html $RPM_BUILD_ROOT%{dspam_web_docroot}/templates
%{__install} -Dp -m0755 webui/cgi-bin/templates/*.pl $RPM_BUILD_ROOT%{dspam_web_docroot}/templates
%{__install} -Dp -m0644 webui/cgi-bin/{admins,default.prefs,rgb.txt} $RPM_BUILD_ROOT%{dspam_web_docroot}/

%{__install} -Dp -m0755 webui/cgi-bin/{configure.pl,*.cgi} $RPM_BUILD_ROOT%{dspam_web_docroot}/

for foo in webui/cgi-bin/templates/??
do
    if [ -d "${foo}" ]
    then
        %{__install} -Dp -m0644 ${foo}/*.html $RPM_BUILD_ROOT%{dspam_web_docroot}/templates/${foo##*\/}
        [ -f ${foo}/*.pl ] && %{__install} -Dp -m0644 ${foo}/*.pl $RPM_BUILD_ROOT%{dspam_web_docroot}/templates/${foo##*\/}
    fi
done
%{__install} -Dp -m 0644 %{SOURCE4} $RPM_BUILD_ROOT%{_sysconfdir}/httpd/conf.d/

%post
%systemd_post dspam.service

%preun
%systemd_preun dspam.service

%postun
%systemd_postun_with_restart dspam.service

%pre libs
getent group %{dspam_user} >/dev/null || groupadd -r %{dspam_user}
getent passwd %{dspam_user} >/dev/null || useradd -r -g %{dspam_user} -G %{dspam_user},%{mail_group} -d %{dspam_homedir} -s /sbin/nologin -c 'User to own dspam directories and default processes' %{dspam_user}
exit 0

%ldconfig_scriptlets libs

%files
%doc README CHANGELOG RELEASE.NOTES UPGRADING
%attr(0770,%{dspam_user},%{mail_group}) %dir %{dspam_logdir}
%attr(0770,%{dspam_user},%{mail_group}) %dir %{dspam_homedir}
%attr(0770,%{dspam_user},root) %dir %{dspam_homedir}/opt-in
%attr(0770,%{dspam_user},root) %dir %{dspam_homedir}/opt-out
%attr(0770,%{dspam_user},%{mail_group}) %dir %{dspam_homedir}/data
%dir %{dspam_homedir}/txt/
%config(noreplace) %{dspam_homedir}/txt/*
%attr(0770,%{dspam_user},%{mail_group}) %dir %{_var}/run/dspam
%{_sysconfdir}/cron.daily/dspam
%{_tmpfilesdir}/dspam.conf
%config(noreplace) %{_sysconfdir}/logrotate.d/dspam
%attr(0644,root,%{mail_group}) %config(noreplace) %{dspam_confdir}/dspam.conf
%attr(0644,root,%{mail_group}) %config(noreplace) %{dspam_confdir}/dspam.conf.default
%{_unitdir}/dspam.service
%{_mandir}/man1/*
%attr(%{dspam_mode},%{dspam_user},%{mail_group}) %{_bindir}/dspam
%{_bindir}/dspam_2sql
%{_bindir}/dspam_admin
%{_bindir}/dspam_clean
%{_bindir}/dspam_crc
%{_bindir}/dspam_dump
%{_bindir}/dspam_logrotate
%{_bindir}/dspam_merge
%{_bindir}/dspam_stats
%{_bindir}/dspam_train
%{_bindir}/dspam_notify
%{_bindir}/dspam-front

%files client
%attr(%{dspam_mode},%{dspam_user},%{mail_group}) %{_bindir}/dspamc

%files libs
%doc README CHANGELOG RELEASE.NOTES UPGRADING LICENSE
%doc doc/{courier.txt,exim.txt,markov.txt,osx.txt,pop3filter.txt,postfix.txt,qmail.txt,relay.txt,sendmail.txt,tests.txt}
%{_libdir}/libdspam.so.*
%dir %{_libdir}/dspam
%dir %{_datadir}/%{name}/
%dir %{_datadir}/%{name}/sql-scripts

%files hash
#%doc README.cssclean
%{_libdir}/dspam/libhash_drv.so*
%{_bindir}/css*

%files mysql
%doc doc/mysql_drv.txt
%{_datadir}/%{name}/sql-scripts/mysql/
%{_libdir}/dspam/libmysql_drv.so*

%files pgsql
%doc doc/pgsql_drv.txt
%{_datadir}/%{name}/sql-scripts/pgsql/
%{_libdir}/dspam/libpgsql_drv.so*
%{_bindir}/dspam_pg2int8

%files sqlite3
%doc doc/sqlite_drv.txt
%{_datadir}/%{name}/sql-scripts/sqlite3/
%{_libdir}/dspam/libsqlite3_drv.so*

%files devel
%{_libdir}/libdspam.so
%doc src/example.c
%dir %{_includedir}/dspam/
%{_includedir}/dspam/*
%{_libdir}/pkgconfig/dspam.pc
%{_mandir}/man3/*

%files web
%attr(-, %{dspam_user}, %{dspam_user}) %{dspam_web_docroot}/
%config(noreplace) %{_sysconfdir}/httpd/conf.d/dspam-web.conf

%changelog
* Thu Aug 04 2022 Eric Broch <ebroch@whitehorsetc.com> - 3.10.2-34
- Patched for GCC11 and Makefiles for aclocal and automake
* Mon Apr 12 2021 Eric Broch <ebroch@whitehorsetc.com> - 3.10.2-33
- Patch dspam-dspamc-stuffdot2.patch
- Original patch faulty
- Patch: dspam-stuffdot.patch
* Mon Apr 12 2021 Eric Broch <ebroch@whitehorsetc.com> - 3.10.2-32
- Patch: dspam-stuffdot.patch
-        Stuff dot in dspam.c (dspam daemon)
-        Stuff dot removed in client.c (dspamc)
* Fri Sep 4 2020 Eric C. Broch <ebroch@whitehorsetc.com> - 3.10.2-31
- Build for CentOS 8
- MySQL support
- Patch my_bool for bool https://bugs.mysql.com/bug.php?id=85131

* Wed Jul 24 2019 Fedora Release Engineering <releng@fedoraproject.org> - 3.10.2-30
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Thu Jan 31 2019 Fedora Release Engineering <releng@fedoraproject.org> - 3.10.2-29
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Thu Jul 12 2018 Fedora Release Engineering <releng@fedoraproject.org> - 3.10.2-28
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 3.10.2-27
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Tue Jan 30 2018 Nathanael Noblet <nathanael@gnat.ca> - 3.10.2-26
- Update requirements for systemd

* Thu Sep 21 2017 Nathanael Noblet <nathanael@gnat.ca> - 3.10.2-25
- Fix FTB Bug #1493682

* Wed Aug 02 2017 Fedora Release Engineering <releng@fedoraproject.org> - 3.10.2-24
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 3.10.2-23
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Jul 15 2017 Nathanael Noblet <nathanael@gnat.ca> - 3.10.2-22
- Fixed FTBFS Bug #1467703 when compiling against mariadb

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 3.10.2-21
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Sat Jan 14 2017 Ville Skyttä <ville.skytta@iki.fi> - 3.10.2-20
- Move tmpfiles.d config to %%{_tmpfilesdir}

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 3.10.2-19
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jul 08 2015 Nathanael Noblet <nathanael@gnat.ca> - 3.10.2-18
- Explicitly require binutils for crontab file fixes bug #1240913

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.10.2-17
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Thu Feb 19 2015 Nathanael Noblet <nathanael@gnat.ca> - 3.10.2-16
- Fix for bug #1193177 - Sqlite3 free

* Thu Jan 22 2015 Nathanael Noblet <nathanael@gnat.ca> - 3.10.2-15
- Set dspamc suid bits

* Mon Jan 19 2015 Nathanael Noblet <nathanael@gnat.ca> - 3.10.2-14
- Update cron script to not require mysql_config which is not provided by mariadb
- Fixes bug #1183256

* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.10.2-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.10.2-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.10.2-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Jul 17 2013 Petr Pisar <ppisar@redhat.com> - 3.10.2-10
- Perl 5.18 rebuild

* Thu May 23 2013 Nathanael Noblet <nathanael@gnat.ca> - 3.10.2-9
- Patch for recipient corruption bug

* Wed May 15 2013 Nathanael Noblet <nathanael@gnat.ca> - 3.10.2-8
- set hardened build to add PIE option since dspam can be long running
- bug #954345
- properly fixes #657357 - PostgreSQL purge script works

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.10.2-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Jan 17 2013 Nathanael Noblet <nathanael@gnat.ca> - 3.10.2-6
- Attempting to fix purge bug #657357

* Thu Nov 29 2012 Nathanael Noblet <nathanael@gnat.ca> - 3.10.2-5
- Fix dspam-web.conf file to work with httpd 2.4 and 2.2 bug#871396

* Thu Oct 11 2012 Nathanael Noblet <nathanael@gnat.ca> - 3.10.2-4
- Removed chkconfig and use systemd macros

* Sun Oct 7 2012 Nathanael Noblet <nathanael@gnat.ca> - 3.10.2-3
- Add exim patch
- Require perl(Mail::MboxParser) fixes bug #622502

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.10.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Wed May 2 2012 Nathanael Noblet <nathanael@gnat.ca> - 3.10.2-1
- New upstream release

* Thu Feb 23 2012 Nathanael Noblet <nathanael@gnat.ca> - 3.10.1-8
- Change default server port to 10024 so dspam starts up by default

* Tue Jan 17 2012 Nathanael Noblet <nathanael@gnat.ca> - 3.10.1-7
- Enable systemd's PrivateTmp feature for added security

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.10.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Sat Dec 3 2011 Nathanael Noblet <nathanael@gnat.ca> - 3.10.1-5
- test enabling of clamav option

* Fri Oct 21 2011 Nathanael Noblet <nathanael@gnat.ca> - 3.10.1-4
- set logrotate to su to dspam mail when rotating fixes bug 747625

* Tue Oct 18 2011 Nathanael Noblet <nathanael@gnat.ca> - 3.10.1-3
- removed sysconf file

* Tue Oct 18 2011 Nathanael Noblet <nathanael@gnat.ca> - 3.10.1-2
- Fix system bug #745194
- remove init.d file

* Sun Sep 11 2011 Nathanael Noblet <nathanael@gnat.ca> - 3.10.1-1
- New upstream release

* Tue Aug 2 2011 Nathanael Noblet <nathanael@gnat.ca> - 3.10.0-1
- New upstream release
- Removed README.cssclean

* Wed Jul 13 2011 Nathanael Noblet <nathanael@gnat.ca> - 3.9.0-22
- Systemd unit file

* Wed Jul 13 2011 Nathanael Noblet <nathanael@gnat.ca> - 3.9.0-21
- Start daemon as dspam user

* Wed May 25 2011 Nathanael Noblet <nathanael@gnat.ca> - 3.9.0-20
- add tmpfile for /var/run/dspam
- remove rpaths that suddenly show up in F15

* Tue Mar 22 2011 Nathanael Noblet <nathanael@gnat.ca> - 3.9.0-19
- Rebuilt for libmysqlclient soname bump

* Wed Mar 9 2011 Nathanael Noblet <nathanael@gnat.ca> - 3.9.0-18
- Removed patch 

* Thu Mar 3 2011 Nathanael Noblet <nathanael@gnat.ca> - 3.9.0-17
- Fixed packaging issue with non-existent group
- Removed chown -R in web post as well as httpd restart

* Wed Mar 2 2011 Nathanael Noblet <nathanael@gnat.ca> - 3.9.0-16
- Added configure patch to build on F15+

* Tue Mar 1 2011 Nathanael Noblet <nathanael@gnat.ca> - 3.9.0-15
- Applied Matej Cepl's patch to move the web dir to /var/www/dspam
- Removed autogen call to see if configure nodalcore option passes

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.9.0-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Jan 26 2011 Nathanael Noblet <nathanael@gnat.ca> - 3.9.0-13
- Fixed dspam-web cgi bug

* Wed Jan 26 2011 Nathanael Noblet <nathanael@gnat.ca> - 3.9.0-12
- Patch config & doc defaults to put the socket in /var/run/dspam
- remove ghosting

* Tue Nov 23 2010 Nathanael Noblet <nathanael@gnat.ca> - 3.9.0-11
- Updated for var-run-tmpfs feature

* Wed Sep 29 2010 jkeating - 3.9.0-10
- Rebuilt for gcc bug 634757

* Wed Sep 22 2010 Nathanael Noblet <nathanael@gnat.ca> - 3.9.0-9
- Update cron job to be silent on success
- Patch hash utils

* Tue Jul 13 2010 Nathanael Noblet <nathanael@gnat.ca> - 3.9.0-8
- Fix dspam data dir permissions to be writeable by mail (Reported by Jonas Pasche)

* Wed Mar 3 2010 Nathanael Noblet <nathanael@gnat.ca> - 3.9.0-7
- Updated dspam initscript default start position to be after DBs
- reset initscript priorities

* Tue Feb 9 2010 Nathanael Noblet <nathanael@gnat.ca> - 3.9.0-4
- Updated dspam cron file to be able to find sql purge scripts

* Fri Jan 22 2010 Nathanael Noblet <nathanael@gnat.ca> - 3.9.0-3
- Fixed missing source file affecting dspam daemon service

* Thu Jan 21 2010 Nathanael Noblet <nathanael@gnat.ca> - 3.9.0-2
- Replaced last etc with _sysconfdir macro
- Use single integer release version
- Fixed dspam-web.conf to actually work by default when installed.
- Updated configure.pl to point to the proper directory
- Placed the relevant README's in both -libs and the main package as they are relevant for both

* Wed Jan 20 2010 Nathanael Noblet <nathanael@gnat.ca> - 3.9.0-1.3
- Fixed web comments
- Replaced usr/share with macro
- Moved dspam-front back to the server portion where it belongs
- Changed directory name from dspam-webui to dspam-web
- Updated dspam-web.conf to point to proper paths
- Added external dependency script to filter out wrong perl deps

* Mon Jan 18 2010 Nathanael Noblet <nathanael@gnat.ca> - 3.9.0-1.2
- Updated dspam-cron to not run dspam_clean if the hash driver is configured

* Fri Jan 15 2010 Nathanael Noblet <nathanael@gnat.ca> - 3.9.0-1.1
- Remove world readable perms on /etc/dspam.conf
- Re-enabled dspam-web as the required dependancies exist
- Added -client package
- Created /etc/sysconfig/dspam file and modified initscript to use it by default

* Wed Jan 13 2010 Nathanael Noblet <nathanael@gnat.ca> - 3.9.0-1
- Upstream release

* Tue Jan 12 2010 Nathanael Noblet <nathanael@gnat.ca> - 3.9.0-0.19.RC2
- Added dist tag
- Removed check for ServerPID in initscript as it is unecessary
- Fixed permissions/ownership on /var/run/dspam

* Tue Jan 12 2010 Nathanael Noblet <nathanael@gnat.ca> - 3.9.0-0.18.RC2
- Removed user(dspam) requirement left behind
- Fixed directory permissions and ownership for some missing directories

* Mon Jan 11 2010 Nathanael Noblet <nathanael@gnat.ca> - 3.9.0-0.17.RC2
- Updated method of creating users via Packaging/UsersAndGroups

* Sat Jan 9 2010 Nathanael Noblet <nathanael@gnat.ca> - 3.9.0-0.16.RC2
- Created system user dspam via PackageUserRegistry instructions
- Updated logrotate to use proper user and group
- Updated dspam-cron with paths to sql-scripts directory and whitespace changes
- Removed no longer necessary README.fedora

* Fri Jan 8 2010 Nathanael Noblet <nathanael@gnat.ca> - 3.9.0-0.15.RC2
- Added README.cssclean to dspam-hash
- Fixed logrotate script using non-existant dspam user
- Removed logrotate rotating system.log as that is handled by dspam-cron
- Cleaned up package -n naming
- Corrected dspam, and other directory permissions to nobody:mail
- Moved css* to dspam-hash as they are only needed with that driver
- removed nonsense configure parameter enabling and disabling syslog

* Thu Jan 7 2010 Nathanael Noblet <nathanael@gnat.ca> - 3.9.0-0.14.RC2
- Updated cron script
- Added README.fedora for fedora specific configuration information

* Wed Jan 6 2010 Nathanael Noblet <nathanael@gnat.ca> - 3.9.0-0.13.RC2
- Updated cron script
- Added dspam-front script that will return a proper error code to avoid bounces
- Fixed ownership issues of /var/lib/dspam/txt
- Checked ownership/permissions of sql scripts
- Don't compress sql purge scripts

* Fri Dec 18 2009 Nathanael Noblet <nathanael@gnat.ca> - 3.9.0-0.12.RC2
- Bumped upstream version
- Fixed requirements to be dspam-libs instead of libdspam

* Mon Dec 7 2009 Nathanael Noblet <nathanael@gnat.ca> - 3.9.0-0.11.BETA4
- Renamed libdspam to dspam-libs
- Moved docs to -libs package
- Added LICENSE file
- Fixed some directory ownership issues

* Sun Nov 29 2009 Nathanael Noblet <nathanael@gnat.ca> - 3.9.0-0.10.BETA4
- Change dspam init to not be enabled by default
- Add EVR dependancy from all sub packages
- Removed pkgconfig requirement
- package -n dspam-web renamed to package web
- Updated perl requires even though dspam-web is not being built currently
- Added post/preun requirements to chkconfig and initscripts
- Updated defattr lines
- use _initrddir instead of _sysconfdir/rc.d/init.d (RHEL compat)
- updated source file permissions
- get libdspam to own the sql-scripts directory

* Wed Nov 25 2009 Nathanael Noblet <nathanael@gnat.ca> - 3.9.0-0.9.BETA4
- Modified the line removing .la and .a files

* Thu Nov 19 2009 Nathanael Noblet <nathanael@gnat.ca> - 3.9.0-0.8.BETA4
- Restored css* binaries they are hash driver utilities

* Thu Nov 19 2009 Nathanael Noblet <nathanael@gnat.ca> - 3.9.0-0.7.BETA4
- Changed BuildRoot definition
- Don't test for buildroot in install section
- Remove setgid on dspamc
- Removed css* binaries

* Thu Nov 19 2009 Nathanael Noblet <nathanael@gnat.ca> - 3.9.0-0.6.BETA4
- Use install -Dp -m instead of pre-creating the directories
- Move dspam-webui.conf to Source4
- Removed some of the autoX calls

* Wed Nov 18 2009 Nathanael Noblet <nathanael@gnat.ca> - 3.9.0-0.5.BETA4
- Cleanup Requires
- Stop building web ui as some perl dependancies are unmet
- Fixed Source0 url

* Wed Nov 18 2009 Nathanael Noblet <nathanael@gnat.ca> - 3.9.0-0.4.BETA4
- Remove build conditionals

* Mon Nov 16 2009 Nathanael Noblet <nathanael@gnat.ca> - 3.9.0-0.3.BETA4
- Revise permission on /etc/dspam.conf and /var/lib/dspam
- Remove compression on documentation
- Move driver documentation to subpackages
- Remove sqlite_drv.txt if neither sqlite driver is being built
- Remove .la and .a files
- Disable install-strip for the debuginfo package

* Sun Nov 15 2009 Stevan Bajic <stevan@bajic.ch> - 3.9.0-0.2.BETA4
- Splitting into libdspam package and driver package
- Moving static libs and libtool archives into libdspam-devel package
- Enabling build of single storage driver statically linked into DSPAM
- Enabling build of single storage driver as dynamically loaded module
- Compressing SQL files and documentation
- Added version tag to change log
- Renamed cron and logrotate scripts to follow Fedora packing guidelines
- Added post/postun for libdspam and all libdspam storage drivers
- Replaced all tabs with softtabs (don't know if this is needed but Nathanael had it that way)
- Enabled install-strip
- Extended package description

* Sat Nov 14 2009 Nathanael Noblet <nathanael@gnat.ca> - 3.9.0-0.1.BETA4
- General cleanups as required by Fedora packaging guidlines

* Sat Nov 14 2009 Stevan Bajic <stevan@bajic.ch> - 3.9.0-BETA4
- DSPAM 3.9.0-BETA4

* Wed Dec 26 2007 Stevan Bajic <stevan@bajic.ch> - 3.8.0
- Avoid using the %%exclude macro as it looks like
  FC6 does not like this command and RPM < 4.0.3
  anyway does not support %%exclude.

* Sun Dec 23 2007 Stevan Bajic <stevan@bajic.ch> - 3.8.0
- Make Tony Earnshaw happy :)

* Sat Dec 22 2007 Stevan Bajic <stevan@bajic.ch> - 3.8.0
- Added newest Gentoo patch set

* Tue Apr 17 2007 Stevan Bajic <stevan@bajic.ch> - 3.8.0
- Initial relase
